%{?nodejs_find_provides_and_requires}
Name:                nodejs-cryptiles
Version:             5.1.0
Release:             1
Summary:             General purpose cryptography utilities for Node.js
License:             BSD
URL:                 https://github.com/hueniverse/cryptiles
Source0:             https://github.com/hueniverse/cryptiles/archive/v%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%description
%{summary}.

%prep
%autosetup -n cryptiles-%{version}
chmod 0644 README.md LICENSE.md lib/* package.json
%nodejs_fixdep -r "@hapi/boom"

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/cryptiles
cp -pr lib package.json %{buildroot}%{nodejs_sitelib}/cryptiles
%nodejs_symlink_deps

%files
%{nodejs_sitelib}/cryptiles
%doc README.md
%license LICENSE.md

%changelog
* Sat Jul 02 2022 SimpleUpdate Robot <tc@openeuler.org> - 5.1.0-1
- Upgrade to version 5.1.0

* Mon Aug 17 2020 Anan Fu <fuanan3@huawei.com> - 2.0.5-1
- package init
